> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lunary.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset by ID or slug



## OpenAPI

````yaml https://api.lunary.ai/v1/openapi get /v1/datasets/{identifier}
openapi: 3.0.0
info:
  title: Lunary API
  version: 1.0.0
servers:
  - url: https://api.lunary.ai
security: []
tags: []
paths:
  /v1/datasets/{identifier}:
    get:
      tags:
        - Datasets
      summary: Get dataset by ID or slug
      parameters:
        - in: path
          name: identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Dataset details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dataset'
      security:
        - ProjectPublicApiKeyAuth: []
components:
  schemas:
    Dataset:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        format:
          type: string
          enum:
            - text
            - chat
        ownerId:
          type: string
        projectId:
          type: string
  securitySchemes:
    ProjectPublicApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: UUID
      description: 'Use a project public API key via `Authorization: Bearer <key>`.'

````